## Flatiron's Guide to the Galaxy

A 'Hitchhiker's Guide' -themed command line interface with a dashboard (location, weather, and randomly generated Douglas Adams quote) that the user can view in a variety of intergalactic languages.

Uses the [Dogeify](https://github.com/mhuggins/dogeify), [Igpay Atinlay](https://rubygems.org/gems/igpay_atinlay/versions/1.0), [Talk Like A Pirate](https://github.com/stevehodges/talk_like_a_pirate), [Ermahgerd](https://github.com/danbernier/ermahgerd), [Nokogiri](https://github.com/sparklemotion/nokogiri), [Geocoder](https://github.com/alexreisner/geocoder) and [RestClient](https://github.com/rest-client/rest-client) gems, and the [OpenWeatherMap API](http://api.openweathermap.org).

While the dashboard comes supplied with sample content, we provide a very basic emoji language so that even the emoji option supports dynamic content!

In v2.0 we hope to include Vogon.

### Running the CLI

You'll need to obtain your own API key from Open Weather -- it's easy and free -- and put it in your own key.rb file in the root directory.  The file will look like

    WEATHER_KEY = "yourAPIkeyhere"

Then when you install the gem, you can run it from the command line by typing "galaxy_guide".

That's it!