require 'rest-client'

class WeatherAPI
  attr_accessor :zip, :info
  def initialize(zip)
    @zip = zip.to_i
    @url = "http://api.openweathermap.org/data/2.5/weather?zip=#{@zip},us&units=imperial&APPID=#{WEATHER_KEY}"
    @info = {}
    apicall
  end

  def apicall
    openweather_json = RestClient.get(@url)
    @parsed = JSON.parse(openweather_json)
    rescue
      "bad link"
  end

  def returnhash
    @info[:city] = @parsed["name"]
    @info[:id] = @parsed["weather"][0]["id"]
    @info[:temp] = @parsed["main"]["temp"]
    @info
  end
end
