
require 'Nokogiri'
require 'open-uri'
require 'geocoder'

class Location
  attr_accessor :ip, :zip

  def initialize
    @ip = get_ip
    @zip = get_zip
  end

  def get_ip
    html = open('http://ipecho.net/')
    noko = Nokogiri::HTML(html)
    noko.search('h1').text.gsub("Your IP is ", "")
  end

  def get_zip
    Geocoder.search(@ip)[0].data["zip_code"]
  end

end
