require_relative 'spec_helper'

describe 'Pretty Printer' do
  it 'takes a quote and length on initialization' do
    expect{ PrettyPrint.new }.to raise_error(ArgumentError)
  end
  it 'pretty prints correctly' do
    quote = "If it looks like a duck, and quacks like a duck, we have at least to consider the possibility that we have a small aquatic bird of the family anatidae on our hands."
    pp = PrettyPrint.new(quote,10)
    expect(pp.format).to include('|')
  end
end
